Name:           python-ipython_genutils
Version:        0.1.0
Release:        16
Summary:        IPython vestigial utilities
License:        BSD
URL:            https://github.com/ipython/ipython_genutils
Source0:        https://pypi.python.org/packages/source/i/ipython_genutils/ipython_genutils-%{version}.tar.gz
BuildArch:      noarch

%description
The package provides IPython vestigial utilities.

%package        -n python%{python3_pkgversion}-ipython_genutils
Summary:        IPython vestigial utilities
BuildRequires:  python%{python3_pkgversion}-devel python%{python3_pkgversion}-nose
%{?python_provide:%python_provide python%{python3_pkgversion}-ipython_genutils}

%description    -n python%{python3_pkgversion}-ipython_genutils
The package provides IPython vestigial utilities.

%prep
%autosetup -n ipython_genutils-%{version}

%build
%py3_build

%install
%py3_install

%check
export LANG=en_US.UTF-8
nosetests-%{python3_version} -v

%files -n python%{python3_pkgversion}-ipython_genutils
%doc README.md
%license COPYING.md
%{python3_sitelib}/*

%changelog
* Wed Oct 21 2020 leiju <leiju4@huawei.com> - 0.1.0-16
- remove python2 subpackage

* Thu Mar 5 2020 zhujunhao <zhujunhao5@huawei.com> - 0.1.0-15
- Package init
